GoCardlessDeveloper Docs
Create a sandbox account

Outbound Payment Import Entry

View as Markdown

Import Entries are the individual rows of an outbound payment import, representing each payment to be created.

List outbound payment import entries#

GET/outbound_payment_import_entries

Returns a cursor-paginated list of the entries for a given outbound payment import.

GET https://api.gocardless.com/outbound_payment_import_entries?outbound_payment_import=IM123 HTTP/1.1
@client.outbound_payment_import_entries.list(
  params: {
    outbound_payment_import: "IM123",
    limit: 10
  }
)
client.outbound_payment_import_entries.list(params={
  "outbound_payment_import": "IM123",
  "limit": 10
})
const resp = await client.outboundPaymentImportEntries.list({
  outbound_payment_import: "IM123",
  limit: "10"
});
$client->outboundPaymentImportEntries()->list([
  "params" => [
    "outbound_payment_import" => "IM123",
    "limit" => 10
  ]
]);
client.outboundPaymentImportEntries().list()
  .withOutboundPaymentImport("IM123")
  .withLimit(10)
  .execute();
outboundPaymentImportEntryListParams := gocardless.OutboundPaymentImportEntryListParams{
  OutboundPaymentImport: "IM123",
  Limit: 10,
}

outboundPaymentImportEntryListResult, err := client.OutboundPaymentImportEntries.List(ctx, outboundPaymentImportEntryListParams)
var request = new GoCardless.Services.OutboundPaymentImportEntryListRequest()
{
  OutboundPaymentImport = "IM123",
  Limit = 10
};

var resp = await client.OutboundPaymentImportEntries.ListAsync(request);
Responsehttp
HTTP/1.1 200 OK
Content-Type: application/json
{
  "outbound_payment_import_entries": [
    {
      "id": "IE123",
      "created_at": "2024-09-05T12:20:04.397Z",
      "processed_at": null,
      "validation_errors": null,
      "metadata": {},
      "amount": 1000,
      "scheme": "faster_payments",
      "reference": "Invoice 12345",
      "verification_result": null,
      "links": {
        "outbound_payment_import": "IM123",
        "recipient_bank_account": "BA123"
      }
    },
    {
      "id": "IE124",
      "created_at": "2024-09-05T12:20:04.397Z",
      "processed_at": null,
      "validation_errors": null,
      "metadata": {},
      "amount": 2000,
      "scheme": "faster_payments",
      "reference": "Invoice 12346",
      "verification_result": null,
      "links": {
        "outbound_payment_import": "IM123",
        "recipient_bank_account": "BA456"
      }
    }
  ],
  "meta": {
    "cursors": {
      "before": null,
      "after": null
    },
    "limit": 50
  }
}
Response 200

Successful response

outbound_payment_import_entriesarray
10 properties
idstring

Unique identifier, beginning with "IE".

created_atstring

Fixed timestamp, recording when this resource was created.

processed_atstring

Fixed timestamp, recording when this entry was processed.

amountinteger

Amount, in the lowest denomination for the currency (e.g. pence in GBP, cents in EUR).

schemestring

Bank payment scheme to process the outbound payment. Currently only "faster_payments" (GBP) is supported.

faster_payments
referencestring

An optional reference for the outbound payment.

verification_resultstring

The result of bank account holder verification, if performed.

full_matchpartial_matchno_matchunable_to_match
validation_errorsobject

Per-field validation errors for this entry, keyed by resource type and then by field name.

1 properties
outbound_paymentobject

Validation errors for the outbound payment fields.

4 properties
amountarray

Errors related to the amount field.

schemestring

Bank payment scheme to process the outbound payment. Currently only "faster_payments" (GBP) is supported.

faster_payments
recipient_bank_accountarray

Errors related to the recipient bank account.

referencearray

Errors related to the reference field.

linksobject
3 properties
outbound_payment_importstring

ID of the associated import.

outbound_paymentstring

ID of the associated outbound payment, once the entry has been processed.

recipient_bank_accountstring

ID of the recipient bank account.

metadataobject

Key-value store of custom data. Up to 3 keys are permitted, with key names up to 50 characters and values up to 500 characters.

metaobject
2 properties
limitinteger
cursorsobject
2 properties
beforestring

Cursor pointing to the end of the desired set.

afterstring

Cursor pointing to the start of the desired set.

Errors 400401404422500
400

Bad Request

401

Unauthorised

404

Not found

422

Validation Error

500

Internal Error

Error Body
codeinteger
documentation_urlstring
errorsarray
2 properties
reasonstring
messagestring
messagestring
request_idstring
typestring
metadataobject
linksobject